#pragma once
#include "DirectXFramework.h"
#include "SharedMethods.h"
#include "TexturedCubeNode.h"
#include "MeshNode.h"
#include "SplitMeshNode.h"
#include <ctime>

class Graphics2 : public DirectXFramework
{
public:
	void CreateSceneGraph();
	void UpdateSceneGraph();

private:
	float _currentRotation = 0.0f;
	float _currentSideRotation = 0.0f;
	float _currentPropRotation = 0.0f;
};

